import { NextRequest, NextResponse } from 'next/server';

export async function POST(request: NextRequest) {
  try {
    const token = request.cookies.get('admin_token')?.value;
    
    if (token) {
      try {
        await fetch('http://localhost:5080/api/utilisateurs/logout', {
          method: 'POST',
          headers: {
            'Authorization': `Bearer ${token}`,
            'Accept': '*/*'
          }
        });
      } catch (error) {
        console.error(`Erreur lors de l'appel à l'api  : `, error);
      }
    }
    
    const response = NextResponse.json({ success: true });
    
    // suppressiuon du cookie
    response.cookies.set({
      name: 'admin_token',
      value: '',
      expires: new Date(0),
      path: '/',
    });
    
    return response;
  } catch (error) {
    console.error('Erreur lors de la déconnexion:', error);
    
    const response = NextResponse.json({ success: true });
    
    //supprimme le cookie
    response.cookies.set({
      name: 'admin_token',
      value: '',
      expires: new Date(0),
      path: '/',
    });
    
    return response;
  }
}