import { NextRequest, NextResponse } from 'next/server';

// récupération d'un salarié via le système du router intégré de next
export async function GET(
  _request: NextRequest,
  { params }: { params: Promise<{ id: string }> }
) {
  try {
    const id = await params;
    const response = await fetch(`http://localhost:5080/api/salaries/${id}`);

    if (!response.ok) {
      return NextResponse.json(
        { success: false, message: 'Salarié non trouvé' },
        { status: response.status }
      );
    }

    const data = await response.json();
    return NextResponse.json(data);
  } catch (error) {
    console.error('Erreur lors de la récupération du salarié :', error);
    return NextResponse.json(
      { success: false, message: 'Erreur serveur' },
      { status: 500 }
    );
  }
}