'use client'

import Link from "next/link";

const Footer = () => {
  return (
    <footer className="bg-card border-t border-border py-8 mt-auto">
      <div className="container mx-auto px-4">
        <div className="grid grid-cols-1 md:grid-cols-3 gap-8 justify-items-center text-center md:text-left">
          {/* première colonne description */}
          <div className="flex flex-col items-center md:items-start max-w-xs">
            <h3 className="text-lg font-semibold mb-4 bg-gradient-to-r from-primary to-accent bg-clip-text text-transparent">Annuaire CESI</h3>
            <p className="text-muted-foreground">
              L'outil qui connecte tous les collaborateurs de l'entreprise.
            </p>
          </div>
          
          {/* colonne central contact */}
          <div className="flex flex-col items-center md:items-start max-w-xs">
            <h3 className="text-lg font-semibold mb-4">Contact</h3>
            <p className="text-muted-foreground">
              support@cesi.fr<br />
              01 23 45 67 89
            </p>
          </div>
          
          {/*dernière colonne - liens utils (à compléter si amél;ioration ) */}
          <div className="flex flex-col items-center md:items-start max-w-xs">
            <h3 className="text-lg font-semibold mb-4">Liens rapides</h3>
            <ul className="space-y-2 text-muted-foreground text-center md:text-left">
              <li><Link href="/" className="hover:text-primary transition-colors">Accueil</Link></li>
            </ul>
          </div>
        </div>
        
        {/* copyrightt - centré en dessous des */}
        <div className="mt-8 pt-6 border-t border-border flex justify-center text-sm text-muted-foreground">
          &copy; {new Date().getFullYear()} Annuaire CESI. Tous droits réservés.
        </div>
      </div>
    </footer>
  );
};

export default Footer;