import { NextResponse } from 'next/server';
import type { NextRequest } from 'next/server';

export function middleware(request: NextRequest) {
  //protection de la route login si on la rentre en dur
  if (request.nextUrl.pathname.startsWith('/admin/login')) {
    const hasAccessCookie = request.cookies.get('admin_access')?.value;
    
    if (!hasAccessCookie) {
      return NextResponse.redirect(new URL('/restricted', request.url));
    }
  }
  
  // protection des autres routes admin (sauf login)
  if (request.nextUrl.pathname.startsWith('/admin') && !request.nextUrl.pathname.startsWith('/admin/login')) {
    
    const token = request.cookies.get('admin_token')?.value;
    
    if (!token) {
      return NextResponse.redirect(new URL('/admin/login', request.url));
    }
  }
  
  return NextResponse.next();
}

export const config = {
  matcher: ['/admin/:path*'],
};